package uce.parser;

// $ANTLR 3.2 Sep 23, 2009 12:02:23 /media/Personal Documents/MS Project/Project Cogito/CG/CG.g 2010-02-09 21:57:53

import org.antlr.runtime.*;

@SuppressWarnings("unused")
public class CGLexer extends Lexer {
    public static final int T_BY=25;
    public static final int ISPARTOF=55;
    public static final int OVP=11;
    public static final int AMOUNTOFTIME=39;
    public static final int FOR=38;
    public static final int EQUALS=54;
    public static final int AND=50;
    public static final int DOESFOLLOWING=36;
    public static final int SPACE=33;
    public static final int T__60=60;
    public static final int EOF=-1;
    public static final int ACTION=24;
    public static final int STATEMENT=5;
    public static final int IF=32;
    public static final int PASS=31;
    public static final int SPECOC=18;
    public static final int AS=57;
    public static final int TIME=19;
    public static final int THEN=34;
    public static final int IS=53;
    public static final int T_EQUALS=27;
    public static final int ALL=44;
    public static final int NORMAL=21;
    public static final int INTO=40;
    public static final int T_PART=29;
    public static final int BY=48;
    public static final int OVCP=12;
    public static final int OAP=9;
    public static final int T_TO=26;
    public static final int TO=49;
    public static final int NUMBER=42;
    public static final int T_EQUALTO=30;
    public static final int ON=59;
    public static final int NOTEQUALS=56;
    public static final int HAVING=47;
    public static final int OF=46;
    public static final int OC=14;
    public static final int CONDAP=22;
    public static final int T_IS=28;
    public static final int ALPHANUM=43;
    public static final int TILL=37;
    public static final int OVHSP=13;
    public static final int SUBUAP=8;
    public static final int NEWLINE=35;
    public static final int SPECIFIC=45;
    public static final int ASPARTOF=58;
    public static final int EXT=23;
    public static final int OP=4;
    public static final int OR=51;
    public static final int ALLOC=17;
    public static final int OAXP=10;
    public static final int ISNOT=52;
    public static final int FROM=41;
    public static final int COMPAP=7;
    public static final int COND=16;
    public static final int T_ISNT=20;
    public static final int CP=15;
    public static final int SIMPLEAP=6;

    // delegates
    // delegators

    public CGLexer() {;} 
    public CGLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public CGLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);

    }
    public String getGrammarFileName() { return "/media/Personal Documents/MS Project/Project Cogito/CG/CG.g"; }

    // $ANTLR start "T__60"
    public final void mT__60() throws RecognitionException {
        try {
            int _type = T__60;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:7:7: ( 'end' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:7:9: 'end'
            {
            match("end"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__60"

    // $ANTLR start "AMOUNTOFTIME"
    public final void mAMOUNTOFTIME() throws RecognitionException {
        try {
            int _type = AMOUNTOFTIME;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:747:2: ( 'secs' | 'hrs' | 'mins' )
            int alt1=3;
            switch ( input.LA(1) ) {
            case 's':
                {
                alt1=1;
                }
                break;
            case 'h':
                {
                alt1=2;
                }
                break;
            case 'm':
                {
                alt1=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 1, 0, input);

                throw nvae;
            }

            switch (alt1) {
                case 1 :
                    // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:747:4: 'secs'
                    {
                    match("secs"); 


                    }
                    break;
                case 2 :
                    // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:747:11: 'hrs'
                    {
                    match("hrs"); 


                    }
                    break;
                case 3 :
                    // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:747:17: 'mins'
                    {
                    match("mins"); 


                    }
                    break;

            }
            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "AMOUNTOFTIME"

    // $ANTLR start "ON"
    public final void mON() throws RecognitionException {
        try {
            int _type = ON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:749:4: ( 'on' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:749:6: 'on'
            {
            match("on"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ON"

    // $ANTLR start "THEN"
    public final void mTHEN() throws RecognitionException {
        try {
            int _type = THEN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:751:6: ( 'then' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:751:8: 'then'
            {
            match("then"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "THEN"

    // $ANTLR start "DOESFOLLOWING"
    public final void mDOESFOLLOWING() throws RecognitionException {
        try {
            int _type = DOESFOLLOWING;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:753:15: ( 'does_following\\n' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:753:17: 'does_following\\n'
            {
            match("does_following\n"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DOESFOLLOWING"

    // $ANTLR start "EQUALS"
    public final void mEQUALS() throws RecognitionException {
        try {
            int _type = EQUALS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:755:8: ( 'equal_to' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:755:10: 'equal_to'
            {
            match("equal_to"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "EQUALS"

    // $ANTLR start "NOTEQUALS"
    public final void mNOTEQUALS() throws RecognitionException {
        try {
            int _type = NOTEQUALS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:758:11: ( 'not_equal_to' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:758:13: 'not_equal_to'
            {
            match("not_equal_to"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NOTEQUALS"

    // $ANTLR start "AS"
    public final void mAS() throws RecognitionException {
        try {
            int _type = AS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:761:4: ( 'as' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:761:6: 'as'
            {
            match("as"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "AS"

    // $ANTLR start "ASPARTOF"
    public final void mASPARTOF() throws RecognitionException {
        try {
            int _type = ASPARTOF;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:763:9: ( 'as_part_of' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:763:11: 'as_part_of'
            {
            match("as_part_of"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ASPARTOF"

    // $ANTLR start "TILL"
    public final void mTILL() throws RecognitionException {
        try {
            int _type = TILL;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:765:6: ( 'till' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:765:8: 'till'
            {
            match("till"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "TILL"

    // $ANTLR start "SPECIFIC"
    public final void mSPECIFIC() throws RecognitionException {
        try {
            int _type = SPECIFIC;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:767:9: ( 'specific' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:767:11: 'specific'
            {
            match("specific"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SPECIFIC"

    // $ANTLR start "ALL"
    public final void mALL() throws RecognitionException {
        try {
            int _type = ALL;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:769:5: ( 'every' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:769:7: 'every'
            {
            match("every"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ALL"

    // $ANTLR start "HAVING"
    public final void mHAVING() throws RecognitionException {
        try {
            int _type = HAVING;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:771:8: ( 'having' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:771:10: 'having'
            {
            match("having"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "HAVING"

    // $ANTLR start "IF"
    public final void mIF() throws RecognitionException {
        try {
            int _type = IF;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:773:4: ( 'if' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:773:6: 'if'
            {
            match("if"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "IF"

    // $ANTLR start "ISPARTOF"
    public final void mISPARTOF() throws RecognitionException {
        try {
            int _type = ISPARTOF;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:775:9: ( 'is_part_of' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:775:11: 'is_part_of'
            {
            match("is_part_of"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ISPARTOF"

    // $ANTLR start "IS"
    public final void mIS() throws RecognitionException {
        try {
            int _type = IS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:777:4: ( 'is' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:777:6: 'is'
            {
            match("is"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "IS"

    // $ANTLR start "ISNOT"
    public final void mISNOT() throws RecognitionException {
        try {
            int _type = ISNOT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:779:7: ( 'isnot' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:779:9: 'isnot'
            {
            match("isnot"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ISNOT"

    // $ANTLR start "BY"
    public final void mBY() throws RecognitionException {
        try {
            int _type = BY;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:781:4: ( 'by' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:781:6: 'by'
            {
            match("by"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "BY"

    // $ANTLR start "TO"
    public final void mTO() throws RecognitionException {
        try {
            int _type = TO;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:783:4: ( 'to' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:783:6: 'to'
            {
            match("to"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "TO"

    // $ANTLR start "OF"
    public final void mOF() throws RecognitionException {
        try {
            int _type = OF;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:785:4: ( 'of' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:785:6: 'of'
            {
            match("of"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OF"

    // $ANTLR start "FOR"
    public final void mFOR() throws RecognitionException {
        try {
            int _type = FOR;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:787:5: ( 'for' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:787:7: 'for'
            {
            match("for"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FOR"

    // $ANTLR start "AND"
    public final void mAND() throws RecognitionException {
        try {
            int _type = AND;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:789:5: ( 'and' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:789:7: 'and'
            {
            match("and"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "AND"

    // $ANTLR start "OR"
    public final void mOR() throws RecognitionException {
        try {
            int _type = OR;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:791:4: ( 'or' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:791:6: 'or'
            {
            match("or"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OR"

    // $ANTLR start "FROM"
    public final void mFROM() throws RecognitionException {
        try {
            int _type = FROM;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:793:6: ( 'from' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:793:8: 'from'
            {
            match("from"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FROM"

    // $ANTLR start "INTO"
    public final void mINTO() throws RecognitionException {
        try {
            int _type = INTO;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:795:6: ( 'into' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:795:8: 'into'
            {
            match("into"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INTO"

    // $ANTLR start "ALPHANUM"
    public final void mALPHANUM() throws RecognitionException {
        try {
            int _type = ALPHANUM;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:797:11: ( ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )* )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:797:13: ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:797:36: ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='0' && LA2_0<='9')||(LA2_0>='A' && LA2_0<='Z')||LA2_0=='_'||(LA2_0>='a' && LA2_0<='z')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:
            	    {
            	    if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ALPHANUM"

    // $ANTLR start "NUMBER"
    public final void mNUMBER() throws RecognitionException {
        try {
            int _type = NUMBER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:799:8: ( ( '0' .. '9' )+ )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:799:10: ( '0' .. '9' )+
            {
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:799:10: ( '0' .. '9' )+
            int cnt3=0;
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>='0' && LA3_0<='9')) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:799:11: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt3 >= 1 ) break loop3;
                        EarlyExitException eee =
                            new EarlyExitException(3, input);
                        throw eee;
                }
                cnt3++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NUMBER"

    // $ANTLR start "SPACE"
    public final void mSPACE() throws RecognitionException {
        try {
            int _type = SPACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:801:7: ( ' ' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:801:9: ' '
            {
            match(' '); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SPACE"

    // $ANTLR start "NEWLINE"
    public final void mNEWLINE() throws RecognitionException {
        try {
            int _type = NEWLINE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:803:9: ( '\\n' )
            // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:803:11: '\\n'
            {
            match('\n'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NEWLINE"

    public void mTokens() throws RecognitionException {
        // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:8: ( T__60 | AMOUNTOFTIME | ON | THEN | DOESFOLLOWING | EQUALS | NOTEQUALS | AS | ASPARTOF | TILL | SPECIFIC | ALL | HAVING | IF | ISPARTOF | IS | ISNOT | BY | TO | OF | FOR | AND | OR | FROM | INTO | ALPHANUM | NUMBER | SPACE | NEWLINE )
        int alt4=29;
        alt4 = dfa4.predict(input);
        switch (alt4) {
            case 1 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:10: T__60
                {
                mT__60(); 

                }
                break;
            case 2 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:16: AMOUNTOFTIME
                {
                mAMOUNTOFTIME(); 

                }
                break;
            case 3 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:29: ON
                {
                mON(); 

                }
                break;
            case 4 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:32: THEN
                {
                mTHEN(); 

                }
                break;
            case 5 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:37: DOESFOLLOWING
                {
                mDOESFOLLOWING(); 

                }
                break;
            case 6 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:51: EQUALS
                {
                mEQUALS(); 

                }
                break;
            case 7 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:58: NOTEQUALS
                {
                mNOTEQUALS(); 

                }
                break;
            case 8 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:68: AS
                {
                mAS(); 

                }
                break;
            case 9 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:71: ASPARTOF
                {
                mASPARTOF(); 

                }
                break;
            case 10 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:80: TILL
                {
                mTILL(); 

                }
                break;
            case 11 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:85: SPECIFIC
                {
                mSPECIFIC(); 

                }
                break;
            case 12 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:94: ALL
                {
                mALL(); 

                }
                break;
            case 13 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:98: HAVING
                {
                mHAVING(); 

                }
                break;
            case 14 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:105: IF
                {
                mIF(); 

                }
                break;
            case 15 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:108: ISPARTOF
                {
                mISPARTOF(); 

                }
                break;
            case 16 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:117: IS
                {
                mIS(); 

                }
                break;
            case 17 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:120: ISNOT
                {
                mISNOT(); 

                }
                break;
            case 18 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:126: BY
                {
                mBY(); 

                }
                break;
            case 19 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:129: TO
                {
                mTO(); 

                }
                break;
            case 20 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:132: OF
                {
                mOF(); 

                }
                break;
            case 21 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:135: FOR
                {
                mFOR(); 

                }
                break;
            case 22 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:139: AND
                {
                mAND(); 

                }
                break;
            case 23 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:143: OR
                {
                mOR(); 

                }
                break;
            case 24 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:146: FROM
                {
                mFROM(); 

                }
                break;
            case 25 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:151: INTO
                {
                mINTO(); 

                }
                break;
            case 26 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:156: ALPHANUM
                {
                mALPHANUM(); 

                }
                break;
            case 27 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:165: NUMBER
                {
                mNUMBER(); 

                }
                break;
            case 28 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:172: SPACE
                {
                mSPACE(); 

                }
                break;
            case 29 :
                // /media/Personal Documents/MS Project/Project Cogito/CG/CG.g:1:178: NEWLINE
                {
                mNEWLINE(); 

                }
                break;

        }

    }


    protected DFA4 dfa4 = new DFA4(this);
    static final String DFA4_eotS =
        "\1\uffff\14\15\4\uffff\10\15\1\61\1\62\1\63\2\15\1\66\2\15\1\72"+
        "\1\15\1\74\1\77\1\15\1\101\2\15\1\104\4\15\1\111\2\15\3\uffff\2"+
        "\15\1\uffff\3\15\1\uffff\1\121\1\uffff\2\15\1\uffff\1\15\1\uffff"+
        "\1\125\1\15\1\uffff\2\15\1\111\1\15\1\uffff\1\15\1\111\1\133\1\134"+
        "\3\15\1\uffff\2\15\1\142\1\uffff\1\143\1\15\1\145\2\15\2\uffff\4"+
        "\15\1\154\2\uffff\1\15\1\uffff\1\15\1\157\4\15\1\uffff\2\15\1\uffff"+
        "\4\15\1\172\1\173\4\15\2\uffff\6\15\1\u0086\1\u0087\2\15\2\uffff"+
        "\1\15\1\u008b\1\15\1\uffff\1\15\1\uffff";
    static final String DFA4_eofS =
        "\u008e\uffff";
    static final String DFA4_minS =
        "\1\12\1\156\1\145\1\141\1\151\1\146\1\150\2\157\1\156\1\146\1\171"+
        "\1\157\4\uffff\1\144\1\165\1\145\1\143\1\145\1\163\1\166\1\156\3"+
        "\60\1\145\1\154\1\60\1\145\1\164\1\60\1\144\2\60\1\164\1\60\1\162"+
        "\1\157\1\60\1\141\1\162\1\163\1\143\1\60\1\151\1\163\3\uffff\1\156"+
        "\1\154\1\uffff\1\163\1\137\1\160\1\uffff\1\60\1\uffff\1\160\1\157"+
        "\1\uffff\1\157\1\uffff\1\60\1\155\1\uffff\1\154\1\171\1\60\1\151"+
        "\1\uffff\1\156\3\60\1\137\1\145\1\141\1\uffff\1\141\1\164\1\60\1"+
        "\uffff\1\60\1\137\1\60\1\146\1\147\2\uffff\1\146\1\161\2\162\1\60"+
        "\2\uffff\1\164\1\uffff\1\151\1\60\1\157\1\165\2\164\1\uffff\1\157"+
        "\1\143\1\uffff\1\154\1\141\2\137\2\60\2\154\2\157\2\uffff\1\157"+
        "\1\137\2\146\1\167\1\164\2\60\1\151\1\157\2\uffff\1\156\1\60\1\147"+
        "\1\uffff\1\12\1\uffff";
    static final String DFA4_maxS =
        "\1\172\1\166\1\160\1\162\1\151\1\162\3\157\2\163\1\171\1\162\4\uffff"+
        "\1\144\1\165\1\145\1\143\1\145\1\163\1\166\1\156\3\172\1\145\1\154"+
        "\1\172\1\145\1\164\1\172\1\144\2\172\1\164\1\172\1\162\1\157\1\172"+
        "\1\141\1\162\1\163\1\143\1\172\1\151\1\163\3\uffff\1\156\1\154\1"+
        "\uffff\1\163\1\137\1\160\1\uffff\1\172\1\uffff\1\160\1\157\1\uffff"+
        "\1\157\1\uffff\1\172\1\155\1\uffff\1\154\1\171\1\172\1\151\1\uffff"+
        "\1\156\3\172\1\137\1\145\1\141\1\uffff\1\141\1\164\1\172\1\uffff"+
        "\1\172\1\137\1\172\1\146\1\147\2\uffff\1\146\1\161\2\162\1\172\2"+
        "\uffff\1\164\1\uffff\1\151\1\172\1\157\1\165\2\164\1\uffff\1\157"+
        "\1\143\1\uffff\1\154\1\141\2\137\2\172\2\154\2\157\2\uffff\1\157"+
        "\1\137\2\146\1\167\1\164\2\172\1\151\1\157\2\uffff\1\156\1\172\1"+
        "\147\1\uffff\1\12\1\uffff";
    static final String DFA4_acceptS =
        "\15\uffff\1\32\1\33\1\34\1\35\40\uffff\1\3\1\24\1\27\2\uffff\1\23"+
        "\3\uffff\1\10\1\uffff\1\16\2\uffff\1\20\1\uffff\1\22\2\uffff\1\1"+
        "\4\uffff\1\2\7\uffff\1\26\3\uffff\1\25\5\uffff\1\4\1\12\5\uffff"+
        "\1\31\1\30\1\uffff\1\14\6\uffff\1\21\2\uffff\1\15\12\uffff\1\6\1"+
        "\13\12\uffff\1\11\1\17\3\uffff\1\7\1\uffff\1\5";
    static final String DFA4_specialS =
        "\u008e\uffff}>";
    static final String[] DFA4_transitionS = {
            "\1\20\25\uffff\1\17\17\uffff\12\16\7\uffff\32\15\4\uffff\1\15"+
            "\1\uffff\1\11\1\13\1\15\1\7\1\1\1\14\1\15\1\3\1\12\3\15\1\4"+
            "\1\10\1\5\3\15\1\2\1\6\6\15",
            "\1\21\2\uffff\1\22\4\uffff\1\23",
            "\1\24\12\uffff\1\25",
            "\1\27\20\uffff\1\26",
            "\1\30",
            "\1\32\7\uffff\1\31\3\uffff\1\33",
            "\1\34\1\35\5\uffff\1\36",
            "\1\37",
            "\1\40",
            "\1\42\4\uffff\1\41",
            "\1\43\7\uffff\1\45\4\uffff\1\44",
            "\1\46",
            "\1\47\2\uffff\1\50",
            "",
            "",
            "",
            "",
            "\1\51",
            "\1\52",
            "\1\53",
            "\1\54",
            "\1\55",
            "\1\56",
            "\1\57",
            "\1\60",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\64",
            "\1\65",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\67",
            "\1\70",
            "\12\15\7\uffff\32\15\4\uffff\1\71\1\uffff\32\15",
            "\1\73",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\75\1\uffff\15\15\1\76\14\15",
            "\1\100",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\102",
            "\1\103",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\105",
            "\1\106",
            "\1\107",
            "\1\110",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\112",
            "\1\113",
            "",
            "",
            "",
            "\1\114",
            "\1\115",
            "",
            "\1\116",
            "\1\117",
            "\1\120",
            "",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "",
            "\1\122",
            "\1\123",
            "",
            "\1\124",
            "",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\126",
            "",
            "\1\127",
            "\1\130",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\131",
            "",
            "\1\132",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\135",
            "\1\136",
            "\1\137",
            "",
            "\1\140",
            "\1\141",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\144",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\146",
            "\1\147",
            "",
            "",
            "\1\150",
            "\1\151",
            "\1\152",
            "\1\153",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "",
            "",
            "\1\155",
            "",
            "\1\156",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\160",
            "\1\161",
            "\1\162",
            "\1\163",
            "",
            "\1\164",
            "\1\165",
            "",
            "\1\166",
            "\1\167",
            "\1\170",
            "\1\171",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\174",
            "\1\175",
            "\1\176",
            "\1\177",
            "",
            "",
            "\1\u0080",
            "\1\u0081",
            "\1\u0082",
            "\1\u0083",
            "\1\u0084",
            "\1\u0085",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\u0088",
            "\1\u0089",
            "",
            "",
            "\1\u008a",
            "\12\15\7\uffff\32\15\4\uffff\1\15\1\uffff\32\15",
            "\1\u008c",
            "",
            "\1\u008d",
            ""
    };

    static final short[] DFA4_eot = DFA.unpackEncodedString(DFA4_eotS);
    static final short[] DFA4_eof = DFA.unpackEncodedString(DFA4_eofS);
    static final char[] DFA4_min = DFA.unpackEncodedStringToUnsignedChars(DFA4_minS);
    static final char[] DFA4_max = DFA.unpackEncodedStringToUnsignedChars(DFA4_maxS);
    static final short[] DFA4_accept = DFA.unpackEncodedString(DFA4_acceptS);
    static final short[] DFA4_special = DFA.unpackEncodedString(DFA4_specialS);
    static final short[][] DFA4_transition;

    static {
        int numStates = DFA4_transitionS.length;
        DFA4_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA4_transition[i] = DFA.unpackEncodedString(DFA4_transitionS[i]);
        }
    }

    class DFA4 extends DFA {

        public DFA4(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 4;
            this.eot = DFA4_eot;
            this.eof = DFA4_eof;
            this.min = DFA4_min;
            this.max = DFA4_max;
            this.accept = DFA4_accept;
            this.special = DFA4_special;
            this.transition = DFA4_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( T__60 | AMOUNTOFTIME | ON | THEN | DOESFOLLOWING | EQUALS | NOTEQUALS | AS | ASPARTOF | TILL | SPECIFIC | ALL | HAVING | IF | ISPARTOF | IS | ISNOT | BY | TO | OF | FOR | AND | OR | FROM | INTO | ALPHANUM | NUMBER | SPACE | NEWLINE );";
        }
    }
 

}